CANVAS_PROTO_SIZE_CONTROL_FUNC(3)

PROTO_FUNC
canvas_PROTO_size_control_func - Size control callback.

SYNOPSIS
#include <karma_canvas.h>

void canvas_PROTO_size_control_func

(KWorldCanvas canvas, int width, int height, struct win_scale_type *win_scale, void **info, flag *boundary_clear, flag *force)

DESCRIPTION
This routine will modify the window scaling information for a world canvas. While this routine is running, colourmap resize events are ignored. Hence this routine may safely cause the associated Kcolourmap object to be resized.

canvas
    The world canvas object.

width
    The width of the canvas in pixels after removing the space consumed by the dressing.

height
    The height of the canvas in pixels after removing the space consumed by the dressing.

win_scale
    The window scaling information. This may be modified.

info
    A pointer to the arbitrary canvas information pointer.

boundary_clear
    If the value TRUE is written here then the <-canvas_resize-> routine will attempt to clear only the boundary between the pixel canvas and the world canvas. If the value FALSE is written here or nothing is written here, the <-canvas_resize-> routine will clear the entire pixel canvas as appropriate.

force
    If the value TRUE is written here, the location is forced. If the value FALSE is written here, or nothing is written here, the canvas boundary may be centred.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/